#############################################################
#
# alsa-utils
#
#############################################################
ALSA_UTILS_VER:=1.0.9a
ALSA_UTILS_SOURCE:=alsa-utils-$(ALSA_UTILS_VER).tar.bz2
ALSA_UTILS_SITE:=ftp://ftp.alsa-project.org/pub/utils
ALSA_UTILS_CAT:=bzcat
ALSA_UTILS_DIR:=$(BUILD_DIR)/alsa-utils-$(ALSA_UTILS_VER)
ALSA_UTILS_SBINARY:=alsactl
ALSA_UTILS_BINARIES:= alsamixer amidi amixer aplay \
                      arecord iecset aconnect aplaymidi aseqdump aseqnet \
                      speaker-test

ALSA_UTILS_SBINARIES:= alsactl alsaconf

$(DL_DIR)/$(ALSA_UTILS_SOURCE):
	 $(WGET) -P $(DL_DIR) $(ALSA_UTILS_SITE)/$(ALSA_UTILS_SOURCE)

alsa-lib-source: $(DL_DIR)/$(ALSA_UTILS_SOURCE)

$(ALSA_UTILS_DIR)/.unpacked: $(DL_DIR)/$(ALSA_UTILS_SOURCE)
	$(ALSA_UTILS_CAT) $(DL_DIR)/$(ALSA_UTILS_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	toolchain/patch-kernel.sh $(ALSA_UTILS_DIR) local/alsa-lib/patches *
	touch $(ALSA_UTILS_DIR)/.unpacked

$(ALSA_UTILS_DIR)/.configured: $(ALSA_UTILS_DIR)/.unpacked
	(cd $(ALSA_UTILS_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) CC_FOR_BUILD=$(HOSTCC) \
		CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include" \
		LDFLAGS="-L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
	);
	touch  $(ALSA_UTILS_DIR)/.configured

$(ALSA_UTILS_DIR)/$(ALSA_UTILS_SBINARY)/$(ALSA_UTILS_SBINARY): $(ALSA_UTILS_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) CC_FOR_BUILD=$(HOSTCC) -C $(ALSA_UTILS_DIR)

$(STAGING_DIR)/usr/sbin/$(ALSA_UTILS_SBINARY): \
		$(ALSA_UTILS_DIR)/$(ALSA_UTILS_SBINARY)/$(ALSA_UTILS_SBINARY)
	$(MAKE) DESTDIR=$(STAGING_DIR) CC=$(TARGET_CC) -C $(ALSA_UTILS_DIR) install

$(TARGET_DIR)/usr/sbin/$(ALSA_UTILS_SBINARY): \
		$(STAGING_DIR)/usr/sbin/$(ALSA_UTILS_SBINARY)
	cd $(STAGING_DIR)/usr/bin && \
		cp -dpf $(ALSA_UTILS_BINARIES) $(TARGET_DIR)/usr/bin
	cd $(STAGING_DIR)/usr/sbin && \
		cp -dpf $(ALSA_UTILS_SBINARIES) $(TARGET_DIR)/usr/sbin
	-cd $(TARGET_DIR)/usr/bin && \
		$(STRIP) --strip-unneeded $(ALSA_UTILS_BINARIES)
	-$(STRIP) --strip-unneeded $(TARGET_DIR)/usr/sbin/$(ALSA_UTILS_SBINARY)
	mkdir -p $(TARGET_DIR)/usr/share/sounds
	cp -dpfr $(STAGING_DIR)/usr/share/sounds/alsa $(TARGET_DIR)/usr/share/sounds

alsa-utils: uclibc alsa-lib ncurses dialog $(TARGET_DIR)/usr/sbin/$(ALSA_UTILS_SBINARY)

alsa-utils-clean:
	-make -C $(ALSA_UTILS_DIR) clean

alsa-utils-dirclean:
	rm -rf $(ALSA_UTILS_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_ALSA_UTILS)),y)
TARGETS+=alsa-utils
endif

