#############################################################
#
# CURL
#
#############################################################
CURL_VER:=7.15.5
CURL_SITE:=http://curl.haxx.se/download/
CURL_DIR:=$(BUILD_DIR)/curl-$(CURL_VER)
CURL_CAT:=bzcat

$(DL_DIR)/curl-$(CURL_VER).tar.bz2:
	$(WGET) -P $(DL_DIR) $(CURL_SITE)/curl-$(CURL_VER).tar.bz2

$(CURL_DIR)/curl.unpacked: $(DL_DIR)/curl-$(CURL_VER).tar.bz2
	$(CURL_CAT) $(DL_DIR)/curl-$(CURL_VER).tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(CURL_DIR)/curl.unpacked

$(CURL_DIR)/curl.configured: $(CURL_DIR)/curl.unpacked
	cd $(CURL_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr \
	--prefix=$(STAGING_DIR)/usr \
	--with-random=$(TARGET_DIR)/dev/random;
	touch $(CURL_DIR)/curl.configured
	
$(CURL_DIR)/curl.compiled: $(CURL_DIR)/curl.configured
	$(MAKE) -C $(CURL_DIR)
	touch $(CURL_DIR)/curl.compiled

$(CURL_DIR)/curl.installed: $(CURL_DIR)/curl.compiled
	$(MAKE) -C $(CURL_DIR) install
	touch $(CURL_DIR)/curl.installed

curl: $(CURL_DIR)/curl.installed

curl-clean:
	-$(MAKE) -C $(CURL_DIR) clean

curl-dirclean:
	-rm -rf $(CURL_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_CURL)),y)
TARGETS+=curl
endif
