#############################################################
#
# DFBHTML2
#
#############################################################
DFBHTML2_VER:=2.0.0
DFBHTML2_SHORTVER:=2.0
DFBHTML2_SITE:=http://www.directfb.org/tmp/
DFBHTML2_DIR:=$(BUILD_DIR)/dfbhtml2
DFBHTML2_CAT:=bzcat

$(DL_DIR)/dfbhtml2.tar.bz2:
	$(WGET) -P $(DL_DIR) $(DFBHTML2_SITE)/dfbhtml2.tar.bz2

$(DFBHTML2_DIR)/dfbhtml2.unpacked: $(DL_DIR)/dfbhtml2.tar.bz2
	$(DFBHTML2_CAT) $(DL_DIR)/dfbhtml2.tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(DFBHTML2_DIR)/dfbhtml2.unpacked

$(DFBHTML2_DIR)/dfbhtml2.configured: $(DFBHTML2_DIR)/dfbhtml2.unpacked
	cd $(DFBHTML2_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/dfb-2.0/ -I$(STAGING_DIR)/usr/lib/dfb-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/dfb-2.0/ -I$(STAGING_DIR)/usr/lib/dfb-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	LD_LIBRARY_PATH="$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr;
	touch $(DFBHTML2_DIR)/dfbhtml2.configured

$(DFBHTML2_DIR)/dfbhtml2.compiled: $(DFBHTML2_DIR)/dfbhtml2.configured
	$(MAKE) -C $(DFBHTML2_DIR)
	touch $(DFBHTML2_DIR)/dfbhtml2.compiled

$(DFBHTML2_DIR)/dfbhtml2.installed: $(DFBHTML2_DIR)/dfbhtml2.compiled
	$(MAKE) -C $(DFBHTML2_DIR) install
	touch -c $(DFBHTML2_DIR)/dfbhtml2.installed

dfbhtml2: $(DFBHTML2_DIR)/dfbhtml2.installed

dfbhtml2-clean:
	-$(MAKE) -C $(DFBHTML2_DIR) clean

dfbhtml2-dirclean:
	-rm -rf $(DFBHTML2_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_DFBHTML2)),y)
TARGETS+=dfbhtml2
endif
