#############################################################
#
# directfb examples
#
#############################################################
DIRECTFB_EXAMPLES_VERSION:=0.9.23
DIRECTFB_EXAMPLES_SOURCE:=DirectFB-examples-$(DIRECTFB_EXAMPLES_VERSION).tar.gz
DIRECTFB_EXAMPLES_SITE:=http://www.directfb.org/downloads/Extras
DIRECTFB_EXAMPLES_CAT:=zcat
DIRECTFB_EXAMPLES_DIR:=$(BUILD_DIR)/DirectFB-examples-$(DIRECTFB_EXAMPLES_VERSION)

$(DL_DIR)/$(DIRECTFB_EXAMPLES_SOURCE):
	$(WGET) -P $(DL_DIR) $(DIRECTFB_EXAMPLES_SITE)/$(DIRECTFB_EXAMPLES_SOURCE)

directfb-examples-source: $(DL_DIR)/$(DIRECTFB_SOURCE)

$(DIRECTFB_EXAMPLES_DIR)/.unpacked: $(DL_DIR)/$(DIRECTFB_EXAMPLES_SOURCE)
	$(DIRECTFB_EXAMPLES_CAT) $(DL_DIR)/$(DIRECTFB_EXAMPLES_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(DIRECTFB_EXAMPLES_DIR)/.unpacked

$(DIRECTFB_EXAMPLES_DIR)/.patched:$(DIRECTFB_EXAMPLES_DIR)/.unpacked
	toolchain/patch-kernel.sh $(DIRECTFB_EXAMPLES_DIR) local/directfb-examples/ directfb-examples\*.patch
	touch  $(DIRECTFB_EXAMPLES_DIR)/.patched

$(DIRECTFB_EXAMPLES_DIR)/.configured: $(DIRECTFB_EXAMPLES_DIR)/.patched
	(cd $(DIRECTFB_EXAMPLES_DIR); \
	$(TARGET_CONFIGURE_OPTS) \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	CFLAGS="$(TARGET_CFLAGS)-I$(STAGING_DIR)/usr/local/include -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include" \
	LDFLAGS="-L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/local/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib" \
	./configure \
	--target=$(GNU_TARGET_NAME) \
	--host=$(GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=/usr/local \
	);
	touch  $(DIRECTFB_EXAMPLES_DIR)/.configured

$(DIRECTFB_EXAMPLES_DIR)/.compiled: $(DIRECTFB_EXAMPLES_DIR)/.configured
	$(MAKE) -C $(DIRECTFB_EXAMPLES_DIR)
	touch $(DIRECTFB_EXAMPLES_DIR)/.compiled

$(TARGET_DIR)/usr/local/bin/df_dok: $(DIRECTFB_EXAMPLES_DIR)/.compiled
	$(MAKE) -C $(DIRECTFB_EXAMPLES_DIR) DESTDIR=$(TARGET_DIR) install

directfb-examples: directfb $(TARGET_DIR)/usr/local/bin/df_dok

directfb-examples-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(DIRECTFB_EXAMPLES_DIR) uninstall
	-$(MAKE) -C $(DIRECTFB_EXAMPLES_DIR) clean

directfb-examples-dirclean:
	rm -rf $(DIRECTFB_EXAMPLES_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_DIRECTFB_EXAMPLES)),y)
TARGETS+=directfb-examples
endif

