#############################################################
#
# duma
#
# This buildroot package was written by Mike Crowe
#
#############################################################

DUMA_VER:=2_4_27
DUMA_DIR:=$(BUILD_DIR)/duma_$(DUMA_VER)
DUMA_SITE:=http://$(BR2_SOURCEFORGE_MIRROR).dl.sourceforge.net/sourceforge/duma
DUMA_SOURCE:=duma_$(DUMA_VER).tar.gz
DUMA_CAT:=zcat

$(DL_DIR)/$(DUMA_SOURCE):
	 $(WGET) -P $(DL_DIR) $(DUMA_SITE)/$(DUMA_SOURCE)

duma-source: $(DL_DIR)/$(DUMA_SOURCE)

$(DUMA_DIR)/.unpacked: $(DL_DIR)/$(DUMA_SOURCE)
	$(DUMA_CAT) $(DL_DIR)/$(DUMA_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	toolchain/patch-kernel.sh $(DUMA_DIR) local/duma/ duma_$(DUMA_VER)\*.patch
	rm -f $(DUMA_DIR)/duma_config.h
	touch $@

$(DUMA_DIR)/.configured: $(DUMA_DIR)/.unpacked
	touch $@

$(STAGING_DIR)/usr/lib/libduma.so : $(DUMA_DIR)/.configured
	cp -f local/duma/duma_config.h.linux $(DUMA_DIR)/duma_config.h
	make -C $(DUMA_DIR) CC=$(TARGET_CC) CXX=$(TARGET_CXX) TEST=0 GENERATE_CONFIG=0 prefix=$(STAGING_DIR)/usr install

$(TARGET_DIR)/usr/lib/libduma.so : $(STAGING_DIR)/usr/lib/libduma.so
	cp $(STAGING_DIR)/usr/lib/libduma.so* $(TARGET_DIR)/usr/lib/
	cp $(STAGING_DIR)/usr/bin/duma $(TARGET_DIR)/usr/bin/

duma: $(TARGET_DIR)/usr/lib/libduma.so

duma-clean:
	rm -f $(STAGING_DIR)/usr/lib/libduma*
	rm -f $(STAGING_DIR)/usr/bin/duma
	rm -f $(STAGING_DIR)/usr/man/duma.*
	make -C $(DUMA_DIR) clean

duma-dirclean:
	rm -rf $(DUMA_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_DUMA)),y)
TARGETS+=duma
endif
