#############################################################
#
# electric-fence
#
# This buildroot package was written by Mike Crowe
#
#############################################################

ELECTRICFENCE_VER:=2.1.13
ELECTRICFENCE_DIR:=$(BUILD_DIR)/electric-fence-$(ELECTRICFENCE_VER)
ELECTRICFENCE_SITE:=http://perens.com/FreeSoftware/ElectricFence
ELECTRICFENCE_SOURCE:=electric-fence_$(ELECTRICFENCE_VER)-0.1.tar.gz
ELECTRICFENCE_CAT:=zcat

$(DL_DIR)/$(ELECTRICFENCE_SOURCE):
	 $(WGET) -P $(DL_DIR) $(ELECTRICFENCE_SITE)/$(ELECTRICFENCE_SOURCE)

electric-fence-source: $(DL_DIR)/$(ELECTRICFENCE_SOURCE)

$(ELECTRICFENCE_DIR)/.unpacked: $(DL_DIR)/$(ELECTRICFENCE_SOURCE)
	$(ELECTRICFENCE_CAT) $(DL_DIR)/$(ELECTRICFENCE_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	toolchain/patch-kernel.sh $(ELECTRICFENCE_DIR) local/electric-fence/ electric-fence-$(ELECTRICFENCE_VER)\*.patch
	touch $@

$(ELECTRICFENCE_DIR)/.configured: $(ELECTRICFENCE_DIR)/.unpacked
	touch $@

$(STAGING_DIR)/usr/lib/libefence.a : $(ELECTRICFENCE_DIR)/.configured
	make -C $(ELECTRICFENCE_DIR) CC=$(TARGET_CC) DISABLE_TEST=1 MAN_INSTALL_DIR= LIB_INSTALL_DIR=$(STAGING_DIR)/usr/lib install

electric-fence: $(STAGING_DIR)/usr/lib/libefence.a

electric-fence-clean:
	rm -f $(STAGING_DIR)/usr/lib/libefence.a
	make -C $(ELECTRICFENCE_DIR) clean

electric-fence-dirclean:
	rm -rf $(ELECTRICFENCE_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_ELECTRICFENCE)),y)
TARGETS+=electric-fence
endif
