#############################################################
#
# Gail
#
#############################################################
GAIL_VER:=1.9.2
GAIL_SITE:=http://ftp.gnome.org/pub/GNOME/platform/2.16/2.16.0/sources/
GAIL_DIR:=$(BUILD_DIR)/gail-$(GAIL_VER)
GAIL_CAT:=zcat

$(DL_DIR)/gail-$(GAIL_VER).tar.gz:
	$(WGET) -P $(DL_DIR) $(GAIL_SITE)/gail-$(GAIL_VER).tar.gz

$(GAIL_DIR)/gail.unpacked: $(DL_DIR)/gail-$(GAIL_VER).tar.gz
	$(GAIL_CAT) $(DL_DIR)/gail-$(GAIL_VER).tar.gz | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(GAIL_DIR)/gail.unpacked

$(GAIL_DIR)/gail.configured: $(GAIL_DIR)/gail.unpacked
	(cd $(GAIL_DIR); \
	$(TARGET_CONFIGURE_OPTS) \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/usr/include/libgnomecanvas-2.0 -I$(STAGING_DIR)/usr/include/libart-2.0 -I$(STAGING_DIR)/usr/include/atk-1.0 -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/gtk-2.0 -I$(STAGING_DIR)/usr/lib/gtk-2.0/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
	CPPFLAGS="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/libgnomecanvas-2.0 -I$(STAGING_DIR)/usr/include/libart-2.0 -I$(STAGING_DIR)/usr/include/atk-1.0 -I$(STAGING_DIR)/usr/include/gtk-2.0 -I$(STAGING_DIR)/usr/lib/gtk-2.0/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
	LDFLAGS="-L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	./configure \
	--disable-glibtest \
	--host=$(GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr);
	touch $(GAIL_DIR)/gail.configured

$(GAIL_DIR)/gail.compiled: $(GAIL_DIR)/gail.configured
	$(MAKE) -C $(GAIL_DIR)
	touch $(GAIL_DIR)/gail.compiled

$(GAIL_DIR)/gail.installed: $(GAIL_DIR)/gail.compiled
	$(MAKE) -C $(GAIL_DIR) install
	cp -dpf $(STAGING_DIR)/usr/lib/libgail-1.0.s* $(TARGET_DIR)/usr/lib/
	-$(STRIP) --strip-unneeded $(TARGET_DIR)/usr/lib/libgail-1.0.so
	touch $(GAIL_DIR)/gail.installed

gail: atk $(GAIL_DIR)/gail.installed

gail-clean:
	-rm -f $(TARGET_DIR)/usr/lib/libgail*
	-$(MAKE) -C $(GAIL_DIR) clean

gail-dirclean:
	-rm -rf $(GAIL_DIR)
	-rm -f $(TARGET_DIR)/usr/lib/libgail*

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_GAIL)),y)
TARGETS+=gail
endif
