#############################################################
#
# GIMP
#
#############################################################
GIMP_VER:=2.3.9
GIMP_VERSHORT:=2.3
GIMP_SITE:=http://www.mirrorservice.org/sites/ftp.gimp.org/pub/gimp/v$(GIMP_VERSHORT)/
GIMP_DIR:=$(BUILD_DIR)/gimp-$(GIMP_VER)
GIMP_CAT:=bzcat

$(DL_DIR)/gimp-$(GIMP_VER).tar.bz2:
	$(WGET) -P $(DL_DIR) $(GIMP_SITE)/gimp-$(GIMP_VER).tar.bz2

$(GIMP_DIR)/gimp.unpacked: $(DL_DIR)/gimp-$(GIMP_VER).tar.bz2
	$(GIMP_CAT) $(DL_DIR)/gimp-$(GIMP_VER).tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(GIMP_DIR)/gimp.unpacked

$(GIMP_DIR)/gimp.configured: $(GIMP_DIR)/gimp.unpacked
	cd $(GIMP_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr \
	--prefix=$(STAGING_DIR)/usr --without-x --without-libtiff \
	--without-libmng --without-libexif --without-aa --without-gtkhtml2 \
	--without-librsvg --without-lcms --disable-print;
	touch $(GIMP_DIR)/gimp.configured

$(GIMP_DIR)/gimp.compiled: $(GIMP_DIR)/gimp.configured
	$(MAKE) -C $(GIMP_DIR)
	touch $(GIMP_DIR)/gimp.compiled

$(GIMP_DIR)/gimp.installed: $(GIMP_DIR)/gimp.compiled
	$(MAKE) -C $(GIMP_DIR) install
	touch $(GIMP_DIR)/gimp.installed

gimp: pango cairo libxml2 $(GIMP_DIR)/gimp.installed

gimp-clean:
	-$(MAKE) -C $(GIMP_DIR) clean

gimp-dirclean:
	-rm -rf $(GIMP_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_GIMP)),y)
TARGETS+=gimp
endif
