#############################################################
#
# Glade
#
#############################################################
GLADE_VER:=2.12.1
GLADE_VERSHORT:=2.12
GLADE_SITE:=http://ftp.gnome.org/pub/GNOME/sources/glade/$(GLADE_VERSHORT)
GLADE_DIR:=$(BUILD_DIR)/glade-$(GLADE_VER)
GLADE_CAT:=bzcat

$(DL_DIR)/glade-$(GLADE_VER).tar.bz2:
	$(WGET) -P $(DL_DIR) $(GLADE_SITE)/glade-$(GLADE_VER).tar.bz2

$(GLADE_DIR)/glade.unpacked: $(DL_DIR)/glade-$(GLADE_VER).tar.bz2
	$(GLADE_CAT) $(DL_DIR)/glade-$(GLADE_VER).tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -; \
	cp -dprf package/glade/overlay/* $(GLADE_DIR);
	touch $(GLADE_DIR)/glade.unpacked

$(GLADE_DIR)/glade.configured: $(GLADE_DIR)/glade.unpacked
	cd $(GLADE_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr \
	--disable-gnome \
	--without-x;
	touch $(GLADE_DIR)/glade.configured
	
$(GLADE_DIR)/glade.compiled: $(GLADE_DIR)/glade.configured
	$(MAKE) -C $(GLADE_DIR)
	touch $(GLADE_DIR)/glade.compiled

$(GLADE_DIR)/glade.installed: $(GLADE_DIR)/glade.compiled
	$(MAKE) -C $(GLADE_DIR) install
	touch $(GLADE_DIR)/glade.installed

glade: pango cairo libxml2 $(GLADE_DIR)/glade.installed

glade-clean:
	-$(MAKE) -C $(GLADE_DIR) clean

glade-dirclean:
	-rm -rf $(GLADE_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_GLADE)),y)
TARGETS+=glade
endif
