#############################################################
#
# Glade
#
#############################################################
GLADE3_VER:=3.0.1
GLADE3_VERSHORT:=3.0
GLADE3_SITE:=http://ftp.gnome.org/pub/GNOME/sources/glade3/$(GLADE3_VERSHORT)
GLADE3_DIR:=$(BUILD_DIR)/glade3-$(GLADE3_VER)
GLADE3_CAT:=bzcat

$(DL_DIR)/glade3-$(GLADE3_VER).tar.bz2:
	$(WGET) -P $(DL_DIR) $(GLADE3_SITE)/glade3-$(GLADE3_VER).tar.bz2

$(GLADE3_DIR)/glade.unpacked: $(DL_DIR)/glade3-$(GLADE3_VER).tar.bz2
	$(GLADE3_CAT) $(DL_DIR)/glade3-$(GLADE3_VER).tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(GLADE3_DIR)/glade.unpacked

$(GLADE3_DIR)/glade.configured: $(GLADE3_DIR)/glade.unpacked
	cd $(GLADE3_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr \
	--disable-gnome \
	--without-x;
	touch $(GLADE3_DIR)/glade.configured
	
$(GLADE3_DIR)/glade.compiled: $(GLADE3_DIR)/glade.configured
	$(MAKE) -C $(GLADE3_DIR)
	touch $(GLADE3_DIR)/glade.compiled

$(GLADE3_DIR)/glade.installed: $(GLADE3_DIR)/glade.compiled
	$(MAKE) -C $(GLADE3_DIR) install
	touch $(GLADE3_DIR)/glade.installed

glade3: pango cairo libxml2 $(GLADE3_DIR)/glade.installed

glade3-clean:
	-$(MAKE) -C $(GLADE3_DIR) clean

glade3-dirclean:
	-rm -rf $(GLADE3_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_GLADE)),y)
TARGETS+=glade
endif
