#############################################################
#
# GTK Webcore
#
#############################################################
GTK_WEBCORE_VER:=0.5.0
GTK_WEBCORE_SITE:=http://easynews.dl.sourceforge.net/sourceforge/gtk-webcore
GTK_WEBCORE_DIR:=$(BUILD_DIR)/gtk-webcore
GTK_WEBCORE_CAT:=zcat

$(GTK_WEBCORE_DIR)/gtk-webcore.downloaded:
	$(WGET) -P $(DL_DIR) $(GTK_WEBCORE_SITE)/osb-jscore-$(GTK_WEBCORE_VER).tar.gz
	$(WGET) -P $(DL_DIR) $(GTK_WEBCORE_SITE)/osb-nrcore-$(GTK_WEBCORE_VER).tar.gz
	$(WGET) -P $(DL_DIR) $(GTK_WEBCORE_SITE)/osb-nrcit-$(GTK_WEBCORE_VER).tar.gz
	$(WGET) -P $(DL_DIR) $(GTK_WEBCORE_SITE)/osb-browser-$(GTK_WEBCORE_VER).tar.gz
	mkdir $(GTK_WEBCORE_DIR)
	touch $(GTK_WEBCORE_DIR)/gtk-webcore.downloaded

$(GTK_WEBCORE_DIR)/gtk-webcore.unpacked: $(GTK_WEBCORE_DIR)/gtk-webcore.downloaded
	$(GTK_WEBCORE_CAT) $(DL_DIR)/osb-jscore-$(GTK_WEBCORE_VER).tar.gz | tar -C $(GTK_WEBCORE_DIR) $(TAR_OPTIONS) -
	$(GTK_WEBCORE_CAT) $(DL_DIR)/osb-nrcore-$(GTK_WEBCORE_VER).tar.gz | tar -C $(GTK_WEBCORE_DIR) $(TAR_OPTIONS) -
	$(GTK_WEBCORE_CAT) $(DL_DIR)/osb-nrcit-$(GTK_WEBCORE_VER).tar.gz | tar -C $(GTK_WEBCORE_DIR) $(TAR_OPTIONS) -
	$(GTK_WEBCORE_CAT) $(DL_DIR)/osb-browser-$(GTK_WEBCORE_VER).tar.gz | tar -C $(GTK_WEBCORE_DIR) $(TAR_OPTIONS) -
	touch $(GTK_WEBCORE_DIR)/gtk-webcore.unpacked

## Configure ##

$(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.configured: $(GTK_WEBCORE_DIR)/gtk-webcore.unpacked
	cd $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER); \
	CFLAGS="$(TARGET_CFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr;
	touch $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.configured

$(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.configured: $(GTK_WEBCORE_DIR)/gtk-webcore.unpacked
	cd $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER); \
	CFLAGS="$(TARGET_CFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr;
	touch $(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.configured

$(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.configured: $(GTK_WEBCORE_DIR)/gtk-webcore.unpacked
	cd $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER); \
	CFLAGS="$(TARGET_CFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr;
	touch $(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.configured

$(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.configured: $(GTK_WEBCORE_DIR)/gtk-webcore.unpacked
	cd $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER); \
	CFLAGS="$(TARGET_CFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr;
	touch $(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.configured
	
#--disable-glibtest --enable-debug=no --with-x --with-xinput=yes --with-gdktarget=x11 \
#	$(TARGET_CONFIGURE_OPTS) \
#	BASE_DEPENDENCIES_CFLAGS="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/usr/lib/glib-2.0/include -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/atk-1.0" \
#	BASE_DEPENDENCIES_LIBS="-L$(STAGING_DIR)/usr/lib $(STAGING_DIR)/usr/lib/libglib-2.0.so $(STAGING_DIR)/usr/lib/libgobject-2.0.so $(STAGING_DIR)/usr/lib/libgmodule-2.0.so $(STAGING_DIR)/usr/lib/libfontconfig.so $(STAGING_DIR)/usr/lib/libxml2.so" \
#	GLIB_CFLAGS="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
#	GLIB_LIBS="-L$(STAGING_DIR)/usr/lib $(STAGING_DIR)/usr/lib/libglib-2.0.so $(STAGING_DIR)/usr/lib/libgobject-2.0.so $(STAGING_DIR)/usr/lib/libgmodule-2.0.so $(STAGING_DIR)/usr/lib/libfontconfig.so $(STAGING_DIR)/usr/lib/libxml2.so" \

#	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \

## Make ##

$(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.compiled: 	$(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.configured
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)
	touch $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.compiled
	
$(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.compiled: 	$(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.configured
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)
	touch $(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.compiled

$(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.compiled: 	$(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.configured
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)
	touch $(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.compiled
	
$(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.compiled: 	$(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.configured
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)
	touch $(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.compiled

## Install ##

$(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.installed: 	$(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.compiled
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER) install
	touch $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.installed
	
$(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.installed: 	$(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.compiled
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER) install
	touch $(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.installed

$(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.installed: 	$(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.compiled
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER) install
	touch $(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.installed
	
$(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.installed: 	$(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.compiled
	$(MAKE) -C $(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER) install
	touch $(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.installed

gtk-webcore: zlib libpng jpeg $(GTK_WEBCORE_DIR)/osb-jscore-$(GTK_WEBCORE_VER)/osb-jscore.installed $(GTK_WEBCORE_DIR)/osb-nrcore-$(GTK_WEBCORE_VER)/osb-nrcore.installed $(GTK_WEBCORE_DIR)/osb-nrcit-$(GTK_WEBCORE_VER)/osb-nrcit.installed $(GTK_WEBCORE_DIR)/osb-browser-$(GTK_WEBCORE_VER)/osb-browser.installed

gtk-webcore-clean:
	-$(MAKE) -C $(GTK_WEBCORE_DIR) clean

gtk-webcore-dirclean:
	-rm -rf $(GTK_WEBCORE_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_GTK_WEBCORE)),y)
TARGETS+=gtk-webcore
endif
