#############################################################
#
# GTKHTML
#
#############################################################
GTKHTML_VER:=3.12.0
GTKHTML_SHORTVER:=3.12
GTKHTML_SITE:=http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/$(GTKHTML_SHORTVER)/
GTKHTML_DIR:=$(BUILD_DIR)/gtkhtml-$(GTKHTML_VER)
GTKHTML_CAT:=bzcat

$(DL_DIR)/gtkhtml-$(GTKHTML_VER).tar.bz2:
	$(WGET) -P $(DL_DIR) $(GTKHTML_SITE)/gtkhtml-$(GTKHTML_VER).tar.bz2

$(GTKHTML_DIR)/gtkhtml.unpacked: $(DL_DIR)/gtkhtml-$(GTKHTML_VER).tar.bz2
	$(GTKHTML_CAT) $(DL_DIR)/gtkhtml-$(GTKHTML_VER).tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(GTKHTML_DIR)/gtkhtml.unpacked

$(GTKHTML_DIR)/gtkhtml.configured: $(GTKHTML_DIR)/gtkhtml.unpacked
	cd $(GTKHTML_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	LD_LIBRARY_PATH="$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr;
	touch $(GTKHTML_DIR)/gtkhtml.configured

$(GTKHTML_DIR)/gtkhtml.compiled: $(GTKHTML_DIR)/gtkhtml.configured
	$(MAKE) -C $(GTKHTML_DIR)
	touch $(GTKHTML_DIR)/gtkhtml.compiled

$(GTKHTML_DIR)/gtkhtml.installed: $(GTKHTML_DIR)/gtkhtml.compiled
	$(MAKE) -C $(GTKHTML_DIR) install
	touch -c $(GTKHTML_DIR)/gtkhtml.installed

gtkhtml: libgnomecanvas2 $(GTKHTML_DIR)/gtkhtml.installed

gtkhtml-clean:
	-$(MAKE) -C $(GTKHTML_DIR) clean

gtkhtml-dirclean:
	-rm -rf $(GTKHTML_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_GTKHTML)),y)
TARGETS+=gtkhtml
endif
