#############################################################
#
# gtkperf
#
#############################################################
GTKPERF_VER:=0.40
GTKPERF_SOURCE:=gtkperf_$(GTKPERF_VER).tar.gz
GTKPERF_SITE:=http://heanet.dl.sourceforge.net/sourceforge/gtkperf/
GTKPERF_CAT:=zcat
GTKPERF_DIR:=$(BUILD_DIR)/gtkperf
GTKPERF_BINARY:=gtkperf

$(DL_DIR)/$(GTKPERF_SOURCE):
	 $(WGET) -P $(DL_DIR) $(GTKPERF_SITE)/$(GTKPERF_SOURCE)

gtkperf-source: $(DL_DIR)/$(GTKPERF_SOURCE)

$(GTKPERF_DIR)/.unpacked: $(DL_DIR)/$(GTKPERF_SOURCE)
	$(GTKPERF_CAT) $(DL_DIR)/$(GTKPERF_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	toolchain/patch-kernel.sh $(GTKPERF_DIR) local/gtkperf/ \*.patch*
	touch $(GTKPERF_DIR)/.unpacked

$(GTKPERF_DIR)/.configured: $(GTKPERF_DIR)/.unpacked
	(cd $(GTKPERF_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		LDFLAGS="-L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/usr/local/lib" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		$(TARGET_CONFIGURE_FLAGS) \
	);
	touch  $(GTKPERF_DIR)/.configured

$(GTKPERF_DIR)/src/$(GTKPERF_BINARY): $(GTKPERF_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(GTKPERF_DIR)

$(STAGING_DIR)/usr/bin/$(GTKPERF_BINARY): $(GTKPERF_DIR)/src/$(GTKPERF_BINARY)
	$(MAKE) DESTDIR=$(STAGING_DIR) CC=$(TARGET_CC) -C $(GTKPERF_DIR) install

$(TARGET_DIR)/usr/bin/$(GTKPERF_BINARY): $(STAGING_DIR)/usr/bin/$(GTKPERF_BINARY)
	cp -dpf $(STAGING_DIR)/usr/bin/$(GTKPERF_BINARY) $(TARGET_DIR)/usr/bin/$(GTKPERF_BINARY)
	-$(STRIP) --strip-unneeded $(TARGET_DIR)/usr/bin/$(GTKPERF_BINARY)
	cp -a $(STAGING_DIR)/usr/share/pixmaps $(TARGET_DIR)/usr/share/

gtkperf: $(TARGET_DIR)/usr/bin/$(GTKPERF_BINARY)

gtkperf-clean:
	-make -C $(GTKPERF_DIR) clean

gtkperf-dirclean:
	rm -rf $(GTKPERF_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_GTKPERF)),y)
TARGETS+=gtkperf
endif

