#############################################################
#
# KAZEHAKASE
#
#############################################################
KAZEHAKASE_VER:=0.4.0
KAZEHAKASE_SITE:=http://keihanna.dl.sourceforge.jp/kazehakase/21535
KAZEHAKASE_DIR:=$(BUILD_DIR)/kazehakase-$(KAZEHAKASE_VER)
KAZEHAKASE_CAT:=zcat

$(DL_DIR)/kazehakase-$(KAZEHAKASE_VER).tar.gz:
	$(WGET) -P $(DL_DIR) $(KAZEHAKASE_SITE)/kazehakase-$(KAZEHAKASE_VER).tar.gz

$(KAZEHAKASE_DIR)/kazehakase.unpacked: $(DL_DIR)/kazehakase-$(KAZEHAKASE_VER).tar.gz
	$(KAZEHAKASE_CAT) $(DL_DIR)/kazehakase-$(KAZEHAKASE_VER).tar.gz | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(KAZEHAKASE_DIR)/kazehakase.unpacked

$(KAZEHAKASE_DIR)/kazehakase.configured: $(KAZEHAKASE_DIR)/kazehakase.unpacked
	cd $(KAZEHAKASE_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr \
	--prefix=$(STAGING_DIR)/usr --without-x --without-libtiff \
	--without-libmng --without-libexif --without-aa --without-gtkhtml2 \
	--without-librsvg --without-lcms --disable-print;
	touch $(KAZEHAKASE_DIR)/kazehakase.configured

$(KAZEHAKASE_DIR)/kazehakase.compiled: $(KAZEHAKASE_DIR)/kazehakase.configured
	$(MAKE) -C $(KAZEHAKASE_DIR)
	touch $(KAZEHAKASE_DIR)/kazehakase.compiled

$(KAZEHAKASE_DIR)/kazehakase.installed: $(KAZEHAKASE_DIR)/kazehakase.compiled
	$(MAKE) -C $(KAZEHAKASE_DIR) install
	touch $(KAZEHAKASE_DIR)/kazehakase.installed

kazehakase: pango cairo libxml2 $(KAZEHAKASE_DIR)/kazehakase.installed

kazehakase-clean:
	-$(MAKE) -C $(KAZEHAKASE_DIR) clean

kazehakase-dirclean:
	-rm -rf $(KAZEHAKASE_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_KAZEHAKASE)),y)
TARGETS+=kazehakase
endif
