#############################################################
#
# libart_lgpl
#
#############################################################
LIBART_LGPL_VER:=2.3.17
LIBART_LGPL_SITE:=http://ftp.gnome.org/pub/GNOME/platform/2.16/2.16.0/sources/
LIBART_LGPL_DIR:=$(BUILD_DIR)/libart_lgpl-$(LIBART_LGPL_VER)
LIBART_LGPL_CAT:=zcat

$(DL_DIR)/libart_lgpl-$(LIBART_LGPL_VER).tar.gz:
	$(WGET) -P $(DL_DIR) $(LIBART_LGPL_SITE)/libart_lgpl-$(LIBART_LGPL_VER).tar.gz

$(LIBART_LGPL_DIR)/libart_lgpl.unpacked: $(DL_DIR)/libart_lgpl-$(LIBART_LGPL_VER).tar.gz
	$(LIBART_LGPL_CAT) $(DL_DIR)/libart_lgpl-$(LIBART_LGPL_VER).tar.gz | tar -C $(BUILD_DIR) $(TAR_OPTIONS) - ; \
    cp -dprf package/libart_lgpl/overlay/* $(LIBART_LGPL_DIR);
	touch $(LIBART_LGPL_DIR)/libart_lgpl.unpacked

$(LIBART_LGPL_DIR)/libart_lgpl.configured: $(LIBART_LGPL_DIR)/libart_lgpl.unpacked
	(cd $(LIBART_LGPL_DIR); \
	$(TARGET_CONFIGURE_OPTS) \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/usr/include/atk-1.0 -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/gtk-2.0 -I$(STAGING_DIR)/usr/lib/gtk-2.0/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
	CPPFLAGS="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/atk-1.0 -I$(STAGING_DIR)/usr/include/gtk-2.0 -I$(STAGING_DIR)/usr/lib/gtk-2.0/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
	LDFLAGS="-L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	./configure \
	--disable-glibtest \
	--host=$(GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr);
	touch $(LIBART_LGPL_DIR)/libart_lgpl.configured

$(LIBART_LGPL_DIR)/libart_lgpl.compiled: $(LIBART_LGPL_DIR)/libart_lgpl.configured
	$(MAKE) -C $(LIBART_LGPL_DIR)
	touch $(LIBART_LGPL_DIR)/libart_lgpl.compiled

$(LIBART_LGPL_DIR)/libart_lgpl.installed: $(LIBART_LGPL_DIR)/libart_lgpl.compiled
	$(MAKE) -C $(LIBART_LGPL_DIR) install
	touch $(LIBART_LGPL_DIR)/libart_lgpl.installed

libart_lgpl: atk $(LIBART_LGPL_DIR)/libart_lgpl.installed

libart_lgpl-clean:
	-rm -f $(TARGET_DIR)/usr/lib/liblibart_lgpl*
	-$(MAKE) -C $(LIBART_LGPL_DIR) clean

libart_lgpl-dirclean:
	-rm -rf $(LIBART_LGPL_DIR)
	-rm -f $(TARGET_DIR)/usr/lib/liblibart_lgpl*

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LIBART_LGPL)),y)
TARGETS+=libart_lgpl
endif
