#############################################################
#
# libGlade
#
#############################################################
LIBGLADE_VER:=2.6.0
LIBGLADE_VERSHORT:=2.6
LIBGLADE_SITE:=http://ftp.gnome.org/pub/GNOME/sources/libglade/$(LIBGLADE_VERSHORT)
LIBGLADE_DIR:=$(BUILD_DIR)/libglade-$(LIBGLADE_VER)
LIBGLADE_CAT:=bzcat

$(DL_DIR)/libglade-$(LIBGLADE_VER).tar.bz2:
	$(WGET) -P $(DL_DIR) $(LIBGLADE_SITE)/libglade-$(LIBGLADE_VER).tar.bz2

$(LIBGLADE_DIR)/libglade.unpacked: $(DL_DIR)/libglade-$(LIBGLADE_VER).tar.bz2
	$(LIBGLADE_CAT) $(DL_DIR)/libglade-$(LIBGLADE_VER).tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(LIBGLADE_DIR)/libglade.unpacked

$(LIBGLADE_DIR)/libglade.configured: $(LIBGLADE_DIR)/libglade.unpacked
	cd $(LIBGLADE_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr \
	--disable-gnome \
	--without-x;
	touch $(LIBGLADE_DIR)/libglade.configured
	
$(LIBGLADE_DIR)/libglade.compiled: $(LIBGLADE_DIR)/libglade.configured
	$(MAKE) -C $(LIBGLADE_DIR)
	touch $(LIBGLADE_DIR)/libglade.compiled

$(LIBGLADE_DIR)/libglade.installed: $(LIBGLADE_DIR)/libglade.compiled
	$(MAKE) -C $(LIBGLADE_DIR) install
	touch $(LIBGLADE_DIR)/libglade.installed

libglade: pango cairo libxml2 $(LIBGLADE_DIR)/libglade.installed

libglade-clean:
	-$(MAKE) -C $(LIBGLADE_DIR) clean

libglade-dirclean:
	-rm -rf $(LIBGLADE_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LIBGLADE)),y)
TARGETS+=libglade
endif
