#############################################################
#
# libGnomeCanvas
#
#############################################################
LIBGNOMECANVAS2_VER:=2.14.0
LIBGNOMECANVAS2_SITE:=http://ftp.gnome.org/pub/GNOME/platform/2.16/2.16.0/sources/
LIBGNOMECANVAS2_DIR:=$(BUILD_DIR)/libgnomecanvas-$(LIBGNOMECANVAS2_VER)
LIBGNOMECANVAS2_CAT:=zcat

$(DL_DIR)/libgnomecanvas-$(LIBGNOMECANVAS2_VER).tar.gz:
	$(WGET) -P $(DL_DIR) $(LIBGNOMECANVAS2_SITE)/libgnomecanvas-$(LIBGNOMECANVAS2_VER).tar.gz

$(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.unpacked: $(DL_DIR)/libgnomecanvas-$(LIBGNOMECANVAS2_VER).tar.gz
	$(LIBGNOMECANVAS2_CAT) $(DL_DIR)/libgnomecanvas-$(LIBGNOMECANVAS2_VER).tar.gz | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.unpacked

$(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.configured: $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.unpacked
	(cd $(LIBGNOMECANVAS2_DIR); \
	$(TARGET_CONFIGURE_OPTS) \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/usr/include/atk-1.0 -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/gtk-2.0 -I$(STAGING_DIR)/usr/lib/gtk-2.0/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
	CPPFLAGS="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/atk-1.0 -I$(STAGING_DIR)/usr/include/gtk-2.0 -I$(STAGING_DIR)/usr/lib/gtk-2.0/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
	LDFLAGS="-L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	./configure \
	--disable-glibtest \
	--host=$(GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr);
	touch $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.configured

$(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.compiled: $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.configured
	$(MAKE) -C $(LIBGNOMECANVAS2_DIR)
	touch $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.compiled

$(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.installed: $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.compiled
	$(MAKE) -C $(LIBGNOMECANVAS2_DIR) install
	touch $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.installed

libgnomecanvas2: atk libart_lgpl libglade $(LIBGNOMECANVAS2_DIR)/libgnomecanvas2.installed

libgnomecanvas2-clean:
	-rm -f $(TARGET_DIR)/usr/lib/liblibgnomecanvas2*
	-$(MAKE) -C $(LIBGNOMECANVAS2_DIR) clean

libgnomecanvas2-dirclean:
	-rm -rf $(LIBGNOMECANVAS2_DIR)
	-rm -f $(TARGET_DIR)/usr/lib/liblibgnomecanvas2*

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LIBGNOMECANVAS2)),y)
TARGETS+=libgnomecanvas2
endif
