#############################################################
#
# LIBGTKHTML
#
#############################################################
LIBGTKHTML_VER:=2.0.0
LIBGTKHTML_SHORTVER:=2.0
LIBGTKHTML_SITE:=http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/$(LIBGTKHTML_SHORTVER)/
LIBGTKHTML_DIR:=$(BUILD_DIR)/libgtkhtml-$(LIBGTKHTML_VER)
LIBGTKHTML_CAT:=bzcat

$(DL_DIR)/libgtkhtml-$(LIBGTKHTML_VER).tar.bz2:
	$(WGET) -P $(DL_DIR) $(LIBGTKHTML_SITE)/libgtkhtml-$(LIBGTKHTML_VER).tar.bz2

$(LIBGTKHTML_DIR)/libgtkhtml.unpacked: $(DL_DIR)/libgtkhtml-$(LIBGTKHTML_VER).tar.bz2
	$(LIBGTKHTML_CAT) $(DL_DIR)/libgtkhtml-$(LIBGTKHTML_VER).tar.bz2 | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(LIBGTKHTML_DIR)/libgtkhtml.unpacked

$(LIBGTKHTML_DIR)/libgtkhtml.configured: $(LIBGTKHTML_DIR)/libgtkhtml.unpacked
	cd $(LIBGTKHTML_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/usr/local/include/directfb -I$(STAGING_DIR)/usr/include  -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/include/atk-1.0/ -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/gtk-2.0/ -I$(STAGING_DIR)/usr/lib/gtk-2.0/include/ -I$(STAGING_DIR)/usr/include/libxml2/" \
	PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
	PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	LD_LIBRARY_PATH="$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib:$(STAGING_DIR)/usr/local/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr;
	touch $(LIBGTKHTML_DIR)/libgtkhtml.configured

$(LIBGTKHTML_DIR)/libgtkhtml.compiled: $(LIBGTKHTML_DIR)/libgtkhtml.configured
	$(MAKE) -C $(LIBGTKHTML_DIR)
	touch $(LIBGTKHTML_DIR)/libgtkhtml.compiled

$(LIBGTKHTML_DIR)/libgtkhtml.installed: $(LIBGTKHTML_DIR)/libgtkhtml.compiled
	$(MAKE) -C $(LIBGTKHTML_DIR) install
	touch $(LIBGTKHTML_DIR)/libgtkhtml.installed

libgtkhtml: libgnomecanvas2 $(LIBGTKHTML_DIR)/libgtkhtml.installed

libgtkhtml-clean:
	-$(MAKE) -C $(LIBGTKHTML_DIR) clean

libgtkhtml-dirclean:
	-rm -rf $(LIBGTKHTML_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LIBGTKHTML)),y)
TARGETS+=libgtkhtml
endif
