#############################################################
#
# LibXML2
#
#############################################################
LIBXML2_VER:=2.6.27
LIBXML2_SOURCE:=libxml2-$(LIBXML2_VER).tar.gz
LIBXML2_SITE:=ftp://xmlsoft.org/libxml2/
LIBXML2_DIR:=$(BUILD_DIR)/libxml2-$(LIBXML2_VER)
LIBXML2_CAT:=zcat

$(DL_DIR)/libxml2-$(LIBXML2_VER).tar.gz:
	$(WGET) -P $(DL_DIR) $(LIBXML2_SITE)/libxml2-$(LIBXML2_VER).tar.gz

$(LIBXML2_DIR)/libxml2.unpacked: $(DL_DIR)/libxml2-$(LIBXML2_VER).tar.gz
	$(LIBXML2_CAT) $(DL_DIR)/LIBXML2-$(LIBXML2_VER).tar.gz | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(LIBXML2_DIR)/libxml2.unpacked

$(LIBXML2_DIR)/libxml2.configured: $(LIBXML2_DIR)/libxml2.unpacked
	(cd $(LIBXML2_DIR); \
	$(TARGET_CONFIGURE_OPTS) \
	./configure \
	--target=$(GNU_TARGET_NAME) \
	--host=$(GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--libdir=/lib \
	--libexecdir=/usr/lib \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--localstatedir=/var \
	--includedir=/include \
	--mandir=/usr/man \
	--infodir=/usr/info \
	--without-debug);
	touch $(LIBXML2_DIR)/libxml2.configured

$(LIBXML2_DIR)/libxml2.compiled: $(LIBXML2_DIR)/libxml2.configured
	$(MAKE) -C $(LIBXML2_DIR)
	touch $(LIBXML2_DIR)/libxml2.compiled

$(LIBXML2_DIR)/libxml2.install: $(LIBXML2_DIR)/libxml2.compiled
	$(MAKE) DESTDIR=$(STAGING_DIR) -C $(LIBXML2_DIR) install
	cd $(LIBXML2_DIR) && \
	cp -d `find .libs | grep "\.so"` $(TARGET_DIR)/usr/lib/
	mkdir -p $(TARGET_DIR)/usr/lib/python2.3/site-packages
	cd $(LIBXML2_DIR) && \
	cp -d `find python/.libs/ | grep "\.so"` $(TARGET_DIR)/usr/lib/python2.3/site-packages
	touch $(LIBXML2_DIR)/libxml2.install

libxml2: $(LIBXML2_DIR)/libxml2.install

libxml2-clean:
	-rm -f $(TARGET_DIR)/usr/lib/libLIBXML2*
	-$(MAKE) -C $(LIBXML2_DIR) clean

libxml2-dirclean:
	-rm -rf $(LIBXML2_DIR)
	-rm -f $(TARGET_DIR)/usr/lib/libLIBXML2*

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LIBXML2)),y)
TARGETS+=LIBXML2
endif
