#############################################################
#
# mmio
#
#############################################################
MMIO_VERSION:=1.0.0
MMIO_DIR:=$(BUILD_DIR)/mmio-$(MMIO_VERSION)

$(MMIO_DIR)/.unpacked:
	mkdir -p $(MMIO_DIR)
	cp -f local/mmio/phStbMmio.c $(MMIO_DIR)
	cp -f local/mmio/Makefile $(MMIO_DIR)/Makefile
	touch $(MMIO_DIR)/.unpacked

$(MMIO_DIR)/.compiled: $(MMIO_DIR)/.unpacked
	$(MAKE) -C $(LINUX_DIR) M=$(MMIO_DIR) ARCH=mips CROSS_COMPILE=$(TARGET_CROSS) INSTALL_MOD_PATH=$(TARGET_DIR) modules
	$(MAKE) -C $(LINUX_DIR) M=$(MMIO_DIR) ARCH=mips CROSS_COMPILE=$(TARGET_CROSS) INSTALL_MOD_PATH=$(TARGET_DIR) modules_install
	touch $(MMIO_DIR)/.compiled

mmio: linux-source uclibc $(MMIO_DIR)/.compiled

mmio-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(MMIO_DIR) uninstall
	-$(MAKE) -C $(MMIO_DIR) clean

mmio-dirclean:
	rm -rf $(MMIO_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_MMIO)),y)
TARGETS+=mmio
endif
