#############################################################
#
# sdparm
#
#############################################################
SDPARM_VERSION:=1.00
SDPARM_SOURCE:=sdparm-$(SDPARM_VERSION).tgz
SDPARM_SITE:=http://sg.torque.net/sg/p/
SDPARM_CAT:=$(ZCAT)
SDPARM_DIR:=$(BUILD_DIR)/sdparm-$(SDPARM_VERSION)
SDPARM_BINARY:=sdparm

$(DL_DIR)/$(SDPARM_SOURCE):
	 $(WGET) -P $(DL_DIR) $(SDPARM_SITE)/$(SDPARM_SOURCE)

sdparm-source: $(DL_DIR)/$(SDPARM_SOURCE)

sdparm-unpacked: $(SDPARM_DIR)/.unpacked
$(SDPARM_DIR)/.unpacked: $(DL_DIR)/$(SDPARM_SOURCE)
	$(SDPARM_CAT) $(DL_DIR)/$(SDPARM_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(SDPARM_DIR)/.unpacked

$(SDPARM_DIR)/.configured: $(SDPARM_DIR)/.unpacked
	(cd $(SDPARM_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		$(TARGET_CONFIGURE_FLAGS) \
	);
	touch $(SDPARM_DIR)/.configured

$(SDPARM_DIR)/$(SDPARM_BINARY): $(SDPARM_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(SDPARM_DIR)

$(STAGING_DIR)/usr/bin/$(SDPARM_BINARY): $(SDPARM_DIR)/$(SDPARM_BINARY)
	$(MAKE) DESTDIR=$(STAGING_DIR) CC=$(TARGET_CC) -C $(SDPARM_DIR) install

$(TARGET_DIR)/usr/bin/$(SDPARM_BINARY): $(STAGING_DIR)/usr/bin/$(SDPARM_BINARY)
	cp -a $(STAGING_DIR)/usr/bin/$(SDPARM_BINARY) $(TARGET_DIR)/usr/bin/$(SDPARM_BINARY)

sdparm: uclibc $(TARGET_DIR)/usr/bin/$(SDPARM_BINARY)

sdparm-clean:
	rm -f $(TARGET_DIR)/$(SDPARM_TARGET_BINARY)
	-$(MAKE) -C $(SDPARM_DIR) clean

sdparm-dirclean:
	rm -rf $(SDPARM_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_SDPARM)),y)
TARGETS+=sdparm
endif
