#############################################################
#
# stb810updater
#
#############################################################
STB810UPDATER_VERSION:=1.0.0
STB810UPDATER_DIR:=$(BUILD_DIR)/stb810updater-$(STB810UPDATER_VERSION)

$(STB810UPDATER_DIR)/.unpacked:
	mkdir -p $(STB810UPDATER_DIR)
	cp -f local/stb810updater/*.c $(STB810UPDATER_DIR)
	cp -f local/stb810updater/*.h $(STB810UPDATER_DIR)
	cp -f local/stb810updater/Makefile $(STB810UPDATER_DIR)/Makefile
	touch $(STB810UPDATER_DIR)/.unpacked

$(STB810UPDATER_DIR)/.compiled: $(STB810UPDATER_DIR)/.unpacked
	CFLAGS="$(TARGET_CFLAGS) -I$(TOOL_BUILD_DIR)/linux/include" \
	LDFLAGS="-L$(STAGING_DIR)/lib" \
	$(TARGET_CONFIGURE_OPTS) $(MAKE) -C $(STB810UPDATER_DIR)
	touch $(STB810UPDATER_DIR)/.compiled

$(STAGING_DIR)/bin/updater: $(STB810UPDATER_DIR)/.compiled
	$(MAKE) -C $(STB810UPDATER_DIR) INSTALL_DIR=$(STAGING_DIR) install
	touch -c $(STAGING_DIR)/bin/updater

$(TARGET_DIR)/bin/updater: $(STAGING_DIR)/bin/updater
	cp -f local/stb810updater/S90updater $(TARGET_DIR)/etc/init.d
	chmod uga+x $(TARGET_DIR)/etc/init.d/S90updater
	cp -dpf $(STAGING_DIR)/bin/updater $(TARGET_DIR)/bin
	-$(STRIP) --strip-unneeded $(TARGET_DIR)/bin/updater

stb810updater: uclibc $(TARGET_DIR)/bin/updater

stb810updater-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(STB810UPDATER_DIR) uninstall
	-$(MAKE) -C $(STB810UPDATER_DIR) clean

stb810updater-dirclean:
	rm -rf $(STB810UPDATER_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_STB810UPDATER)),y)
TARGETS+=stb810updater
endif
