#############################################################
#
# dillo X Window System
#
#############################################################
DILLO_VER:=0.6.6
DILLO_SITE:=http://www.dillo.org/download
DILLO_DIR:=$(BUILD_DIR)/dillo-$(DILLO_VER)
DILLO_CAT:=zcat

$(DL_DIR)/dillo-$(DILLO_VER).tar.gz:
	$(WGET) -P $(DL_DIR) $(DILLO_SITE)/dillo-$(DILLO_VER).tar.gz

$(DILLO_DIR)/dillo.unpacked: $(DL_DIR)/dillo-$(DILLO_VER).tar.gz
	$(DILLO_CAT) $(DL_DIR)/dillo-$(DILLO_VER).tar.gz | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	touch $(DILLO_DIR)/dillo.unpacked

$(DILLO_DIR)/dillo.patched: $(DILLO_DIR)/dillo.unpacked
	cd $(DILLO_DIR)/../ && \
	patch -p0 < ../package/dillo/patches/gtk2.patch
	touch  $(DIRECTFB_DIR)/.patched

$(DILLO_DIR)/dillo.configured: $(DILLO_DIR)/dillo.patched
	cd $(DILLO_DIR); \
	CFLAGS="$(TARGET_CFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	CPPFLAGS="$(TARGET_CPPFLAGS) -lz -I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/glib-2.0 -I$(STAGING_DIR)/usr/lib/glib-2.0/include/ -I$(STAGING_DIR)/usr/include/pango-1.0/ -I$(STAGING_DIR)/usr/local/include/directfb/ -I$(STAGING_DIR)/usr/include/atk-1.0/" \
	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	./configure \
	--target=$(REAL_GNU_TARGET_NAME) \
	--host=$(REAL_GNU_TARGET_NAME) \
	--build=$(GNU_HOST_NAME) \
	--prefix=$(STAGING_DIR)/usr \
	touch $(DILLO_DIR)/dillo.configured



#--disable-glibtest --enable-debug=no --with-x --with-xinput=yes --with-gdktarget=x11 \
#	$(TARGET_CONFIGURE_OPTS) \
#	BASE_DEPENDENCIES_CFLAGS="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/usr/lib/glib-2.0/include -I$(STAGING_DIR)/usr/include/pango-1.0 -I$(STAGING_DIR)/usr/include/cairo -I$(STAGING_DIR)/usr/include/atk-1.0" \
#	BASE_DEPENDENCIES_LIBS="-L$(STAGING_DIR)/usr/lib $(STAGING_DIR)/usr/lib/libglib-2.0.so $(STAGING_DIR)/usr/lib/libgobject-2.0.so $(STAGING_DIR)/usr/lib/libgmodule-2.0.so $(STAGING_DIR)/usr/lib/libfontconfig.so $(STAGING_DIR)/usr/lib/libxml2.so" \
#	GLIB_CFLAGS="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/usr/lib/glib-2.0/include" \
#	GLIB_LIBS="-L$(STAGING_DIR)/usr/lib $(STAGING_DIR)/usr/lib/libglib-2.0.so $(STAGING_DIR)/usr/lib/libgobject-2.0.so $(STAGING_DIR)/usr/lib/libgmodule-2.0.so $(STAGING_DIR)/usr/lib/libfontconfig.so $(STAGING_DIR)/usr/lib/libxml2.so" \

#	LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
	

$(DILLO_DIR)/dillo.compiled: $(DILLO_DIR)/dillo.configured
	$(MAKE) -C $(DILLO_DIR)
	touch $(DILLO_DIR)/dillo.compiled

$(DILLO_DIR)/dillo.installed: $(DILLO_DIR)/dillo.compiled
	$(MAKE) -C $(DILLO_DIR) install
	#cp -dpf $(STAGING_DIR)/usr/lib/libdillo-x11-2.0.s* $(TARGET_DIR)/usr/lib/
	#cp -dpf $(STAGING_DIR)/usr/lib/libgdk-x11-2.0.s* $(TARGET_DIR)/usr/lib/
	cp -dprf $(STAGING_DIR)/usr/lib/libgdk_pixbuf-2.0.s* $(TARGET_DIR)/usr/lib/
	touch -c $(DILLO_DIR)/dillo.installed

dillo: zlib libpng jpeg $(DILLO_DIR)/dillo.installed

dillo-clean:
	-$(MAKE) -C $(DILLO_DIR) clean

dillo-dirclean:
	-rm -rf $(DILLO_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_DILLO)),y)
TARGETS+=dillo
endif
