#############################################################
#
# links (text based web browser)
#
#############################################################
LINKS_SITE:=http://links.twibright.com/download
LINKS_SOURCE:=links-2.1pre23.tar.bz2
LINKS_DIR:=$(BUILD_DIR)/links-2.1pre23

$(DL_DIR)/$(LINKS_SOURCE):
	$(WGET) -P $(DL_DIR) $(LINKS_SITE)/$(LINKS_SOURCE)

links-source: $(DL_DIR)/$(LINKS_SOURCE)

$(LINKS_DIR)/.unpacked: $(DL_DIR)/$(LINKS_SOURCE)
	bzcat $(DL_DIR)/$(LINKS_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	cp -dprf package/links/overlay/* $(LINKS_DIR)
	touch  $(LINKS_DIR)/.unpacked

$(LINKS_DIR)/.configured: $(LINKS_DIR)/.unpacked
	(cd $(LINKS_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/include -I$(STAGING_DIR)/include/libpng12 -I$(STAGING_DIR)/usr/local/include/directfb" \
		CPPFLAGS="$(TARGET_CPPFLAGS) -I$(STAGING_DIR)/include -I$(STAGING_DIR)/include/libpng12 -I$(STAGING_DIR)/usr/local/include/directfb" \
		PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig:$(STAGING_DIR)/usr/local/lib/pkgconfig" \
		PKG_CONFIG="$(PRJROOT)/bin/pkg-config" \
		LDFLAGS="$(TARGET_LDFLAGS) -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib -L$(STAGING_DIR)/usr/local/lib -Wl,--rpath-link -Wl,$(STAGING_DIR)/lib:$(STAGING_DIR)/usr/lib" \
		DIRECTFB_CONFIG="$(STAGING_DIR)/usr/local/bin/mipsel-linux-directfb-config" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/tmp \
		--mandir=/usr/man \
		--infodir=/usr/info \
		--enable-graphics \
		--without-fb \
		--without-atheos \
		--without-x \
		--without-svgalib \
		--without-ssl \
		--without-pmshell \
		--without-libtiff \
		--with-directfb \
		$(DISABLE_NLS) \
	);
	touch  $(LINKS_DIR)/.configured

$(LINKS_DIR)/links: $(LINKS_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(LINKS_DIR)
	$(STRIP) $(LINKS_DIR)/links

$(TARGET_DIR)/usr/bin/links: $(LINKS_DIR)/links
	install -c $(LINKS_DIR)/links $(TARGET_DIR)/usr/bin/links

links-clean:
	$(MAKE) -C $(LINKS_DIR) clean

links-dirclean:
	rm -rf $(LINKS_DIR)

links: uclibc directfb libpng $(TARGET_DIR)/usr/bin/links

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LINKS)),y)
TARGETS+=links
endif
