#
# copy_toolchain_lib_root
#
# $1: source
# $2: destination
# $2: strip (y|n)	default is to strip
#
copy_toolchain_lib_root =									\
	LIB="$(strip $1)";									\
	DST="$(strip $2)";									\
	STRIP="$(strip $3)";									\
												\
	LIB_DIR=`$(TARGET_CC) -print-file-name=$${LIB} | sed -e "s,/$${LIB}\$$,,"`;		\
												\
	if test -z "$${LIB_DIR}"; then								\
		echo "copy_toolchain_lib_root: lib=$${LIB} not found";				\
		exit -1;									\
	fi;											\
												\
	LIB="$(strip $1)";									\
	for FILE in `find $${LIB_DIR} -type l -name "$${LIB}*" -maxdepth 1`; do			\
		LIB=`basename $${FILE}`;							\
		while test \! -z "$${LIB}"; do							\
			echo "copy_toolchain_lib_root lib=$${LIB} dst=$${DST}";			\
			rm -fr $(TARGET_DIR)$${DST}/$${LIB};					\
			mkdir -p $(TARGET_DIR)$${DST};						\
			if test -h $${LIB_DIR}/$${LIB}; then					\
				cp -d $${LIB_DIR}/$${LIB} $(TARGET_DIR)$${DST}/;			\
			elif test -f $${LIB_DIR}/$${LIB}; then					\
				cp $${LIB_DIR}/$${LIB} $(TARGET_DIR)$${DST}/$${LIB};	\
				case "$${STRIP}" in						\
				(y)								\
					$(TARGET_CROSS)strip "$(TARGET_DIR)$${DST}/$${LIB}";		\
					;;							\
				(*)								\
					;;							\
				esac;								\
			else									\
				exit -1;							\
			fi;									\
			LIB="`readlink $${LIB_DIR}/$${LIB}`";					\
		done;										\
	done;											\
												\
	echo -n

uclibc: $(TARGET_DIR)/lib/libc.so.6

$(TARGET_DIR)/lib/libc.so.6:
	mkdir -p $(TARGET_DIR)/lib
	@$(call copy_toolchain_lib_root, ld.so.1, /lib, $(BR2_GLIBC_STRIP))
	@$(call copy_toolchain_lib_root, libc.so.6, /lib, $(BR2_GLIBC_STRIP))
	@$(call copy_toolchain_lib_root, libgcc_s.so, /lib, $(BR2_GLIBC_STRIP))
	cp $(CROSS_COMPILE_LIBS)/libstdc++.la $(TARGET_DIR)/lib
	cp -dr $(CROSS_COMPILE_LIBS)/libstdc++.so* $(TARGET_DIR)/lib

ifdef BR2_GLIBC_PTHREAD
	@$(call copy_toolchain_lib_root, libpthread.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_THREAD_DB
	@$(call copy_toolchain_lib_root, libthread_db.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_RT
	@$(call copy_toolchain_lib_root, librt.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_DL
	@$(call copy_toolchain_lib_root, libdl.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_CRYPT
	@$(call copy_toolchain_lib_root, libcrypt.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_UTIL
	@$(call copy_toolchain_lib_root, libutil.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_LIBM
	@$(call copy_toolchain_lib_root, libm.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_NSS_DNS
	@$(call copy_toolchain_lib_root, libnss_dns.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_NSS_FILES
	@$(call copy_toolchain_lib_root, libnss_files.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_NSS_HESIOD
	@$(call copy_toolchain_lib_root, libnss_hesiod.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_NSS_NIS
	@$(call copy_toolchain_lib_root, libnss_nis.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_NSS_NISPLUS
	@$(call copy_toolchain_lib_root, libnss_nisplus.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_NSS_COMPAT
	@$(call copy_toolchain_lib_root, libnss_compat.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_RESOLV
	@$(call copy_toolchain_lib_root, libresolv.so, /lib, $(BR2_GLIBC_STRIP))
endif

ifdef BR2_GLIBC_NSL
	@$(call copy_toolchain_lib_root, libnsl.so, /lib, $(BR2_GLIBC_STRIP))
endif
